Index: branches/HTM-5.0-Qualcomm/source/App/TAppDecoder/TAppDecTop.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/App/TAppDecoder/TAppDecTop.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/App/TAppDecoder/TAppDecTop.cpp	(revision 195)
@@ -82,5 +82,5 @@
 Void TAppDecTop::decode()
 {
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   increaseNumberOfViews( 0, 0, 0 );
 #else
@@ -145,5 +145,5 @@
     {
       read(nalu, nalUnit);
-#if MVHEVC
+#if QC_MVHEVC_B0046
     viewDepthId = nalu.m_layerId;
     Int depth = 0;
@@ -171,5 +171,5 @@
       if( viewDepthId >= m_tDecTop.size() )      
       {
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
         increaseNumberOfViews( viewDepthId, viewId, depth );
 #else
@@ -200,5 +200,5 @@
       if( !(m_iMaxTemporalLayer >= 0 && nalu.m_temporalId > m_iMaxTemporalLayer) )
       {
-#if MVHEVC
+#if QC_MVHEVC_B0046
         if(viewDepthId && m_tDecTop[viewDepthId]->m_bFirstNal== false)
         {
@@ -233,5 +233,5 @@
     if( pcListPic[viewDepthId] )
     {
-#if QC_REM_IDV
+#if QC_REM_IDV_B0046
       Int iviewId = m_tDecTop[viewDepthId]->getViewId();
       if( newPicture[viewDepthId] && (nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE_IDR || ((nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE_IDR && iviewId) && m_tDecTop[viewDepthId]->getNalUnitTypeBaseView() == NAL_UNIT_CODED_SLICE_IDR)) )
@@ -295,5 +295,5 @@
         m_tDecTop[viewDepthIdx]->destroy() ;
       }
-#if MVHEVC
+#if QC_MVHEVC_B0046
       if(viewDepthIdx)
       {
@@ -445,5 +445,5 @@
   m_pocLastDisplay[viewDepthId] = -MAX_INT;
 }
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
 Void  TAppDecTop::increaseNumberOfViews  ( UInt layerId, UInt viewId, UInt isDepth )
 #else
@@ -451,5 +451,5 @@
 #endif
 {
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   Int newNumberOfViewDepth = layerId + 1;
 #endif
@@ -458,5 +458,5 @@
     m_outputBitDepth = g_uiBitDepth + g_uiBitIncrement;
   }
-#if !VIDYO_VPS_INTEGRATION&!MVHEVC
+#if !VIDYO_VPS_INTEGRATION&!QC_MVHEVC_B0046
   Int viewId = (newNumberOfViewDepth-1)>>1;   // coding order T0D0T1D1T2D2
   Bool isDepth = ((newNumberOfViewDepth % 2) == 0);  // coding order T0D0T1D1T2D2
@@ -471,5 +471,5 @@
       m_tVideoIOYuvReconFile.push_back(new TVideoIOYuv);
       Char buffer[4];
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
       sprintf(buffer,"_%i", viewId );
 #else
@@ -477,5 +477,5 @@
 #endif
       Char* nextFilename = NULL;
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
       if( isDepth)
 #else
@@ -492,5 +492,5 @@
         xAppendToFileNameEnd( m_pchReconFile, buffer, nextFilename);
       }
-#if !VIDYO_VPS_INTEGRATION&!MVHEVC
+#if !VIDYO_VPS_INTEGRATION&!QC_MVHEVC_B0046
       if( isDepth || ( !isDepth && (m_tVideoIOYuvReconFile.size() % 2) == 1 ) )
 #endif
@@ -509,5 +509,5 @@
   {
     m_tDecTop.push_back(new TDecTop);
-#if !VIDYO_VPS_INTEGRATION&!MVHEVC
+#if !VIDYO_VPS_INTEGRATION&!QC_MVHEVC_B0046
     if( isDepth || ( !isDepth && (m_tVideoIOYuvReconFile.size() % 2) == 1 ) )
     {
@@ -519,5 +519,5 @@
       m_tDecTop.back()->setPictureDigestEnabled(m_pictureDigestEnabled);
       m_tDecTop.back()->setCamParsCollector( &m_cCamParsCollector );
-#if !VIDYO_VPS_INTEGRATION&!MVHEVC
+#if !VIDYO_VPS_INTEGRATION&!QC_MVHEVC_B0046
     }
 #endif
Index: branches/HTM-5.0-Qualcomm/source/App/TAppDecoder/TAppDecTop.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/App/TAppDecoder/TAppDecTop.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/App/TAppDecoder/TAppDecTop.h	(revision 195)
@@ -74,5 +74,5 @@
   CamParsCollector                m_cCamParsCollector;
 #if DEPTH_MAP_GENERATION
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   TComVPSAccess                   m_cVPSAccess;
 #endif
@@ -88,5 +88,5 @@
   Void  destroy           (); ///< destroy internal members
   Void  decode            (); ///< main decoding function
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   Void  increaseNumberOfViews  (UInt layerId, UInt viewId, UInt isDepth);
 #else
Index: branches/HTM-5.0-Qualcomm/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 195)
@@ -329,5 +329,5 @@
   /* Camera Paremetes */
   ("CameraParameterFile,cpf", m_pchCameraParameterFile,    (Char *) 0, "Camera Parameter File Name")
-#if MVHEVC
+#if QC_MVHEVC_B0046
   ("BaseViewCameraNumbers" ,  m_aiVId,     std::vector<Int>(1, MAX_VIEW_NUM), "Numbers of base views")
 #endif
@@ -789,5 +789,5 @@
 }
 #else
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
   m_cCameraData     .init     ( (UInt)m_iNumberOfViews,
     m_uiInputBitDepth,
@@ -806,5 +806,5 @@
   // check validity of input parameters
   xCheckParameter();
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
   m_cCameraData.check( false, true );
 #endif
Index: branches/HTM-5.0-Qualcomm/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/App/TAppEncoder/TAppEncCfg.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/App/TAppEncoder/TAppEncCfg.h	(revision 195)
@@ -109,5 +109,5 @@
   std::vector<Double>  m_adQP;                                ///< QP value of key-picture (floating point) [0] video, [1] depth
   std::vector<Int>     m_aiQP;                                ///< QP value of key-picture (integer) [0] video, [1] depth
-#if MVHEVC
+#if QC_MVHEVC_B0046
   std::vector<Int>     m_aiVId;                                ///< view id
 #endif
@@ -288,5 +288,5 @@
   Char*     m_pchCameraParameterFile;                         ///< camera parameter file
   Char*     m_pchBaseViewCameraNumbers;
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
   TAppComCamPara m_cCameraData;
 #endif
Index: branches/HTM-5.0-Qualcomm/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/App/TAppEncoder/TAppEncTop.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/App/TAppEncoder/TAppEncTop.cpp	(revision 195)
@@ -67,11 +67,11 @@
 Void TAppEncTop::xInitLibCfg()
 {
-#if VIDYO_VPS_INTEGRATION|MVHEVC
-#if !MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
+#if !QC_MVHEVC_B0046
   UInt layerId = 0;
 #endif
   // TODO: fix the assumption here that the temporal structures are all equal across all layers???
   m_cVPS.setMaxTLayers( m_maxTempLayer[0] );
-#if MVHEVC
+#if QC_MVHEVC_B0046
   m_cVPS.setMaxLayers( m_iNumberOfViews );
 #else
@@ -107,5 +107,5 @@
     m_acTEncTopList[iViewIdx]->setViewId                       ( iViewIdx );
     m_acTEncTopList[iViewIdx]->setIsDepth                      ( false );
-#if MVHEVC
+#if QC_MVHEVC_B0046
     m_acTEncTopList[iViewIdx]->setLayerId                      ( iViewIdx );
     m_cVPS.setViewId                                           ( m_aiVId[ iViewIdx ], iViewIdx );
@@ -417,5 +417,5 @@
       m_acTEncDepthTopList[iViewIdx]->setViewId                       ( iViewIdx );
       m_acTEncDepthTopList[iViewIdx]->setIsDepth                      ( true );
-#if MVHEVC
+#if QC_MVHEVC_B0046
       m_acTEncDepthTopList[iViewIdx]->setLayerId                      ( iViewIdx );
 #else
@@ -836,5 +836,5 @@
   {
     m_acTEncTopList[iViewIdx]->init( this );
-#if MVHEVC
+#if QC_MVHEVC_B0046
   //set setNumDirectRefLayer
   Int iNumDirectRef = m_acTEncTopList[iViewIdx]->getSPS()->getNumberOfUsableInterViewRefs();
@@ -887,5 +887,5 @@
   TComPicYuv*       pcPicYuvOrg = new TComPicYuv;
   TComPicYuv*       pcDepthPicYuvOrg = new TComPicYuv;
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
   TComPicYuv*       pcPdmDepthOrg    = new TComPicYuv;
 #endif
@@ -990,5 +990,5 @@
     {
       Int  iNumEncoded = 0;
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
       UInt iNextPoc = m_acTEncTopList[0] -> getFrameId( gopId );
       if ( iNextPoc < m_iFrameToBeEncoded )
@@ -1052,6 +1052,6 @@
   pcDepthPicYuvOrg = NULL;
 
-#if !MVHEVC
-#if BUG_FIX_HTM
+#if !QC_MVHEVC_B0046
+#if FIX_DEL_NULLPTR
   if ( pcPdmDepthOrg != NULL && m_uiMultiviewMvRegMode )
 #else
@@ -1267,5 +1267,5 @@
     case NAL_UNIT_CODED_SLICE:
 #if H0566_TLA
-#if !QC_REM_IDV
+#if !QC_REM_IDV_B0046
     case NAL_UNIT_CODED_SLICE_IDV:
 #endif
Index: branches/HTM-5.0-Qualcomm/source/App/TAppEncoder/TAppEncTop.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/App/TAppEncoder/TAppEncTop.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/App/TAppEncoder/TAppEncTop.h	(revision 195)
@@ -87,5 +87,5 @@
 #endif
 
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   TComVPS                     m_cVPS;
 #endif
@@ -139,5 +139,5 @@
 #endif
   
-#if MVHEVC
+#if QC_MVHEVC_B0046
   TComVPS*          getVPS()  { return &m_cVPS; }
 #endif
Index: branches/HTM-5.0-Qualcomm/source/App/TAppRenderer/RendererMain.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/App/TAppRenderer/RendererMain.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/App/TAppRenderer/RendererMain.cpp	(revision 195)
@@ -43,5 +43,5 @@
 int main(int argc, char* argv[])
   {
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
   TAppRendererTop  cTAppRendererTop;
 
Index: branches/HTM-5.0-Qualcomm/source/App/TAppRenderer/TAppRendererCfg.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/App/TAppRenderer/TAppRendererCfg.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/App/TAppRenderer/TAppRendererCfg.cpp	(revision 195)
@@ -59,5 +59,5 @@
 // Constructor / destructor / initialization / destroy
 // ====================================================================================================================
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
 TAppRendererCfg::TAppRendererCfg()
 {
Index: branches/HTM-5.0-Qualcomm/source/App/TAppRenderer/TAppRendererCfg.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/App/TAppRenderer/TAppRendererCfg.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/App/TAppRenderer/TAppRendererCfg.h	(revision 195)
@@ -50,5 +50,5 @@
 #include <string>
 #include <vector>
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
 // ====================================================================================================================
 // Class definition
Index: branches/HTM-5.0-Qualcomm/source/App/TAppRenderer/TAppRendererTop.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/App/TAppRenderer/TAppRendererTop.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/App/TAppRenderer/TAppRendererTop.cpp	(revision 195)
@@ -45,5 +45,5 @@
 // Constructor / destructor / initialization / destroy
 // ====================================================================================================================
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
 TAppRendererTop::TAppRendererTop()
 {
Index: branches/HTM-5.0-Qualcomm/source/App/TAppRenderer/TAppRendererTop.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/App/TAppRenderer/TAppRendererTop.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/App/TAppRenderer/TAppRendererTop.h	(revision 195)
@@ -50,5 +50,5 @@
 #include "../../Lib/TLibRenderer/TRenModel.h"
 
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
 // ====================================================================================================================
 // Class definition
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/CommonDef.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/CommonDef.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/CommonDef.h	(revision 195)
@@ -185,5 +185,5 @@
 // VPS constants
 // ====================================================================================================================
-#if MVHEVC
+#if QC_MVHEVC_B0046
 #define MAX_LAYER_NUM                     MAX_VIEW_NUM
 #endif
@@ -483,5 +483,5 @@
   NAL_UNIT_CODED_SLICE,
 #if H0566_TLA
-#if QC_REM_IDV
+#if QC_REM_IDV_B0046
   NAL_UNIT_RESERVED,
 #else
@@ -515,5 +515,5 @@
   NAL_UNIT_RESERVED_23,
   NAL_UNIT_UNSPECIFIED_24,
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   NAL_UNIT_VPS,
 #else
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/NAL.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/NAL.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/NAL.h	(revision 195)
@@ -51,5 +51,5 @@
   NalRefIdc   m_nalRefIDC;   ///< nal_ref_idc
 #endif
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   unsigned    m_layerId;
   unsigned    m_temporalId;  ///< temporal_id
@@ -69,5 +69,5 @@
     NalUnitType nalUnitType,
     Bool        nalRefFlag,
-#if !VIDYO_VPS_INTEGRATION & !MVHEVC    
+#if !VIDYO_VPS_INTEGRATION & !QC_MVHEVC_B0046    
     Int         viewId,
     Bool        isDepth,
@@ -78,5 +78,5 @@
     :m_nalUnitType (nalUnitType)
     ,m_nalRefFlag  (nalRefFlag)
-#if !VIDYO_VPS_INTEGRATION & !MVHEVC
+#if !VIDYO_VPS_INTEGRATION & !QC_MVHEVC_B0046
     ,m_viewId      (viewId)
     ,m_isDepth     (isDepth)
@@ -139,5 +139,5 @@
     return m_nalUnitType == NAL_UNIT_CODED_SLICE_IDR
 #if H0566_TLA
-#if !QC_REM_IDV    
+#if !QC_REM_IDV_B0046    
         || m_nalUnitType == NAL_UNIT_CODED_SLICE_IDV
 #endif
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/TComDataCU.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/TComDataCU.cpp	(revision 195)
@@ -4307,5 +4307,5 @@
   {
     // col [2]
-#if !TMVP_INDEX_MODIFY
+#if !QC_TMVP_IDX_MOD_B0046
     Int iRefIdxSkip[2] = {-1, -1};
     for (Int i=0; i<2; i++)
@@ -4339,5 +4339,5 @@
 
     TComMv cColMv;
-#if TMVP_INDEX_MODIFY
+#if QC_TMVP_IDX_MOD_B0046
     Int iRefIdx = 0;
 #else
@@ -4376,5 +4376,5 @@
       }
     }
-#if !TMVP_INDEX_MODIFY
+#if !QC_TMVP_IDX_MOD_B0046
     iRefIdx = iRefIdxSkip[0];
 #else
@@ -4398,5 +4398,5 @@
       if ( getSlice()->isInterB() )
       {       
-#if !TMVP_INDEX_MODIFY
+#if !QC_TMVP_IDX_MOD_B0046
         iRefIdx = iRefIdxSkip[1];
 #else
@@ -6412,5 +6412,5 @@
   if( pcTmpCU->getCUMvField(eRefPicList2nd)->getRefIdx(uiIdx) >= 0 )
   {
-#if IV_AS_LT
+#if QC_IV_AS_LT_B0046
     Bool bIsCurrRefLongTerm = m_pcSlice->getRefPic( eRefPicList, iRefIdx)->getIsLongTerm();
     Bool bIsNeibRefLongTerm = m_pcSlice->getRefPic( eRefPicList2nd, pcTmpCU->getCUMvField(eRefPicList2nd)->getRefIdx(uiIdx))->getIsLongTerm();
@@ -6561,5 +6561,5 @@
   Int iNeibRefPOC;
 
-#if IV_AS_LT
+#if QC_IV_AS_LT_B0046
   Bool bIsCurrRefLongTerm = m_pcSlice->getRefPic( eRefPicList, iRefIdx)->getIsLongTerm();
   Bool bIsNeibRefLongTerm = false;
@@ -6568,5 +6568,5 @@
   {
     iNeibRefPOC = pcTmpCU->getSlice()->getRefPOC( eRefPicList2nd, pcTmpCU->getCUMvField(eRefPicList2nd)->getRefIdx(uiIdx) );
-#if IV_AS_LT
+#if QC_IV_AS_LT_B0046
     bIsNeibRefLongTerm = m_pcSlice->getRefPic( eRefPicList2nd, pcTmpCU->getCUMvField(eRefPicList2nd)->getRefIdx(uiIdx))->getIsLongTerm() ;
     if ( (bIsCurrRefLongTerm == bIsNeibRefLongTerm) && (iNeibRefPOC == iCurrRefPOC) )
@@ -6593,5 +6593,5 @@
     TComMv cMvPred = pcTmpCU->getCUMvField(eRefPicList)->getMv(uiIdx);
     TComMv rcMv;
-#if IV_AS_LT
+#if QC_IV_AS_LT_B0046
     bIsNeibRefLongTerm = m_pcSlice->getRefPic( eRefPicList, pcTmpCU->getCUMvField(eRefPicList)->getRefIdx(uiIdx))->getIsLongTerm(); 
     if ( bIsCurrRefLongTerm == bIsNeibRefLongTerm )
@@ -6617,5 +6617,5 @@
     pInfo->m_acMvCand[ pInfo->iN++] = rcMv;
     return true;
-#if IV_AS_LT
+#if QC_IV_AS_LT_B0046
     }
 #endif
@@ -6627,5 +6627,5 @@
     TComMv cMvPred = pcTmpCU->getCUMvField(eRefPicList2nd)->getMv(uiIdx);
     TComMv rcMv;
-#if IV_AS_LT
+#if QC_IV_AS_LT_B0046
     bIsNeibRefLongTerm = m_pcSlice->getRefPic( eRefPicList2nd, pcTmpCU->getCUMvField(eRefPicList2nd)->getRefIdx(uiIdx))->getIsLongTerm(); ;
     if ( bIsCurrRefLongTerm == bIsNeibRefLongTerm )
@@ -6651,5 +6651,5 @@
     pInfo->m_acMvCand[ pInfo->iN++] = rcMv;
     return true;
-#if IV_AS_LT
+#if QC_IV_AS_LT_B0046
   }
 #endif
@@ -6764,5 +6764,5 @@
   Int iColPOC, iColRefPOC, iCurrPOC, iCurrRefPOC, iScale;
 #if SONY_COLPIC_AVAILABILITY
-#if IV_AS_LT
+#if QC_IV_AS_LT_B0046
   Int iColViewOrderIdx, iCurrViewOrderIdx, iCurrRefViewOrderIdx;
 #else
@@ -6799,5 +6799,5 @@
   }
 
-#if !SONY_COLPIC_AVAILABILITY&!IV_AS_LT
+#if !SONY_COLPIC_AVAILABILITY&!QC_IV_AS_LT_B0046
   if( m_pcSlice->getRefPic(eRefPicList, riRefIdx)->getViewId() != m_pcSlice->getViewId() )
     return false;
@@ -6827,5 +6827,5 @@
   iColRefPOC = pColCU->getSlice()->getRefPOC(eColRefPicList, iColRefIdx);
 
-#if !IV_AS_LT
+#if !QC_IV_AS_LT_B0046
 #if SONY_COLPIC_AVAILABILITY
   iColRefViewOrderIdx = pColCU->getSlice()->getRefPic( eColRefPicList, pColCU->getCUMvField(eColRefPicList)->getRefIdx(uiAbsPartAddr))->getViewOrderIdx();
@@ -6848,5 +6848,5 @@
 
   iCurrRefPOC = m_pcSlice->getRefPic(eRefPicList, riRefIdx)->getPOC();
-#if IV_AS_LT
+#if QC_IV_AS_LT_B0046
   {
     assert( ((iColPOC != iColRefPOC)&&(iCurrPOC != iCurrRefPOC))||((iColPOC == iColRefPOC)&&(iCurrPOC == iCurrRefPOC)));
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/TComDepthMapGenerator.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/TComDepthMapGenerator.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/TComDepthMapGenerator.h	(revision 195)
@@ -239,5 +239,5 @@
   Bool              m_bDecoder;
   TComPrediction*   m_pcPrediction;
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   TComVPSAccess*    m_pcVPSAccess;
 #endif
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/TComPic.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/TComPic.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/TComPic.cpp	(revision 195)
@@ -519,5 +519,5 @@
       UInt uiTempLayer = currSlice->getRefPic(eRefPicList, lpRef)->getCurrSlice()->getTLayer(); 
       Int iTempDiff = (iTempPoc > iPOCCurr) ? (iTempPoc - iPOCCurr): (iPOCCurr - iTempPoc);
-#if QC_REM_IDV
+#if QC_REM_IDV_B0046
       TComSlice* refSlice = currSlice->getRefPic(eRefPicList, lpRef)->getCurrSlice();
       bRAP = (refSlice->getSPS()->getViewId() && (refSlice->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR || refSlice->getNalUnitType() == NAL_UNIT_CODED_SLICE_CRA))? 1: 0;      
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/TComPic.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/TComPic.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/TComPic.h	(revision 195)
@@ -140,5 +140,5 @@
   TComSlice*    getSlice(Int i)       { return  m_apcPicSym->getSlice(i);  }
   TComSlice*    getCurrSlice()        { return  m_apcPicSym->getSlice(m_uiCurrSliceIdx);  }
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   TComVPS*      getVPS()              { return  m_apcPicSym->getSlice(m_uiCurrSliceIdx)->getVPS();  }
 #endif
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/TComPrediction.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/TComPrediction.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/TComPrediction.cpp	(revision 195)
@@ -924,5 +924,5 @@
 }
 #endif
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
   Int     ixFrac      = iHor & 0x3;
   Int     iyFrac      = iVer & 0x3;
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/TComSlice.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/TComSlice.cpp	(revision 195)
@@ -44,5 +44,5 @@
 
 TComSlice::TComSlice()
-#if MVHEVC
+#if QC_MVHEVC_B0046
 : m_iPPSId                        ( 0  )
 #else
@@ -146,5 +146,5 @@
   resetWpScalingLC(m_weightPredTableLC);
   initWpAcDcParam();
-#if IV_AS_LT
+#if QC_IV_AS_LT_B0046
   for(Int iNumCount = 0; iNumCount < MAX_NUM_REF+1; iNumCount++)
   {
@@ -483,5 +483,5 @@
   {
     pcRefPic = xGetInterViewRefPic( rapcInterViewRefPics, getViewId() + m_pcSPS->getUsableInterViewRef(i) );
-#if IV_AS_LT
+#if QC_IV_AS_LT_B0046
     pcRefPic->setIsLongTerm( 1 );
 #else
@@ -528,5 +528,5 @@
   {
     m_apcRefPicList[0][cIdx] = m_RefPicListModification.getRefPicListModificationFlagL0() ? refPicListTemp0[ m_RefPicListModification.getRefPicSetIdxL0(cIdx) ] : refPicListTemp0[cIdx];
-#if IV_AS_LT
+#if QC_IV_AS_LT_B0046
     setWasLongTerm(m_apcRefPicList[0][cIdx]->getIsLongTerm(), REF_PIC_LIST_0, cIdx);
 #endif
@@ -542,5 +542,5 @@
     {
       m_apcRefPicList[1][cIdx] = m_RefPicListModification.getRefPicListModificationFlagL1() ? refPicListTemp1[ m_RefPicListModification.getRefPicSetIdxL1(cIdx) ] : refPicListTemp1[cIdx];
-#if IV_AS_LT
+#if QC_IV_AS_LT_B0046
       setWasLongTerm(m_apcRefPicList[1][cIdx]->getIsLongTerm(), REF_PIC_LIST_1, cIdx);
 #endif
@@ -897,5 +897,5 @@
     for(i=0;i<pReferencePictureSet->getNumberOfPositivePictures()+pReferencePictureSet->getNumberOfNegativePictures();i++)
     {
-#if IV_AS_LT
+#if QC_IV_AS_LT_B0046
        if( rpcPic->getPicSym()->getSlice(0)->getPOC() == this->getPOC() + pReferencePictureSet->getDeltaPOC(i))
 #else
@@ -911,5 +911,5 @@
     for(;i<pReferencePictureSet->getNumberOfPictures();i++)
     {
-#if IV_AS_LT
+#if QC_IV_AS_LT_B0046
      if( (rpcPic->getPicSym()->getSlice(0)->getPOC()%(1<<rpcPic->getPicSym()->getSlice(0)->getSPS()->getBitsForPOC())) == pReferencePictureSet->getPOC(i)%(1<<rpcPic->getPicSym()->getSlice(0)->getSPS()->getBitsForPOC()))
 #else
@@ -1419,5 +1419,5 @@
 // Video parameter set (VPS)
 // ------------------------------------------------------------------------------------------------
-#if MVHEVC
+#if QC_MVHEVC_B0046
 TComVPS::TComVPS()
 : m_VPSId                     (  0)
@@ -1496,5 +1496,5 @@
 
 TComSPS::TComSPS()
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
 : m_VPSId                     (  0)
 , m_SPSId                     (  0)
@@ -1548,5 +1548,5 @@
 , m_bLCMod                    (false)
 #if H0412_REF_PIC_LIST_RESTRICTION
-#if MVHEVC
+#if QC_MVHEVC_B0046
 , m_restrictedRefPicListsFlag   (  0)
 #else
@@ -1805,5 +1805,5 @@
 TComSPS::initMultiviewSPS( UInt uiViewId, Int iViewOrderIdx, UInt uiCamParPrecision, Bool bCamParSlice, Int** aaiScale, Int** aaiOffset )
 {
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
   AOT( uiViewId == 0 && iViewOrderIdx != 0 );
   AOT( uiViewId != 0 && iViewOrderIdx == 0 );
@@ -1817,5 +1817,5 @@
   ::memset( m_aaiCodedScale,  0x00, sizeof( m_aaiCodedScale  ) );
   ::memset( m_aaiCodedOffset, 0x00, sizeof( m_aaiCodedOffset ) );
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
   if( !m_bCamParInSliceHeader )
   {
@@ -2448,5 +2448,5 @@
 , m_ppsMap(MAX_NUM_PPS)
 , m_apsMap(MAX_NUM_APS)
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
 , m_vpsMap(MAX_NUM_VPS)
 #endif
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/TComSlice.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/TComSlice.h	(revision 195)
@@ -144,5 +144,5 @@
 #endif
 
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
 /// VPS class
 
@@ -156,5 +156,5 @@
 
   UInt        m_uiExtensionType;
-#if !MVHEVC  
+#if !QC_MVHEVC_B0046  
   Bool        m_bDependentFlag[MAX_LAYER_NUM];
 #else
@@ -168,9 +168,9 @@
 #endif
   UInt        m_uiViewId[MAX_LAYER_NUM];
-#if !MVHEVC  
+#if !QC_MVHEVC_B0046  
   Bool        m_bDepthFlag[MAX_LAYER_NUM];
 #endif
   Int         m_iViewOrderIdx[MAX_LAYER_NUM];
-#if !MVHEVC  
+#if !QC_MVHEVC_B0046  
   UInt        m_uiDependentLayer[MAX_LAYER_NUM];
 #endif
@@ -195,5 +195,5 @@
   Bool    getTemporalNestingFlag   ()         { return m_uiMaxLayers;   }
   Void    setTemporalNestingFlag   (UInt t)   { m_bTemporalIdNestingFlag = t; }
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
   Void    setExtensionType(UInt v)                     { m_uiExtensionType = v;    }
   UInt    getExtensionType()                             { return m_uiExtensionType; }
@@ -204,5 +204,5 @@
   Void    setViewId(UInt v, UInt layer)                     { m_uiViewId[layer] = v;    }
   UInt    getViewId(UInt layer)                             { return m_uiViewId[layer]; }
-#if !MVHEVC 
+#if !QC_MVHEVC_B0046 
   Void    setDepthFlag(Bool d, UInt layer)                  { m_bDepthFlag[layer] = d;    }
   Bool    getDepthFlag(UInt layer)                          { return m_bDepthFlag[layer]; }
@@ -210,5 +210,5 @@
   Void    setViewOrderIdx(Int v, UInt layer)                { m_iViewOrderIdx[layer] = v;    }
   Int     getViewOrderIdx(UInt layer)                       { return m_iViewOrderIdx[layer]; }
-#if !MVHEVC   
+#if !QC_MVHEVC_B0046   
   Void    setDependentLayer(UInt v, UInt layer)                     { m_uiDependentLayer[layer] = v;    }
   UInt    getDependentLayer(UInt layer)                             { return m_uiDependentLayer[layer]; }
@@ -222,5 +222,5 @@
   Void    setMaxLatencyIncrease(UInt v, UInt tLayer)                { m_uiMaxLatencyIncrease[tLayer] = v;    }
   UInt    getMaxLatencyIncrease(UInt tLayer)                        { return m_uiMaxLatencyIncrease[tLayer]; }
-#if MVHEVC
+#if QC_MVHEVC_B0046
   Void    setNumHRDParameters(UInt n)                                { m_uiNumHRDParameter = n;    }
   UInt    getNumHRDParameters()                                      { return m_uiNumHRDParameter; }
@@ -249,5 +249,5 @@
 {
 private:
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   Int          m_VPSId;
 #endif
@@ -422,5 +422,5 @@
   TComSPS();
   virtual ~TComSPS();
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   Int  getVPSId       ()         { return m_VPSId;          }
   Void setVPSId       (Int i)    { m_VPSId = i;             }
@@ -1252,8 +1252,8 @@
   
   // access channel
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   TComVPS*    m_pcVPS;
 #endif
-#if IV_AS_LT
+#if QC_IV_AS_LT_B0046
   Bool                  m_bWasLongTerm[2][MAX_NUM_REF+1]; //was long-term picture
 #endif
@@ -1331,5 +1331,5 @@
   Int        m_aaiCodedOffset[2][MAX_VIEW_NUM];
 
-#if SONY_COLPIC_AVAILABILITY|MVHEVC
+#if SONY_COLPIC_AVAILABILITY|QC_MVHEVC_B0046
   Int         m_iViewOrderIdx;
 #endif
@@ -1345,9 +1345,9 @@
   Void      initTiles();
 
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   Void      setVPS          ( TComVPS* pcVPS ) { m_pcVPS = pcVPS; }
   TComVPS*  getVPS          () { return m_pcVPS; }
 #endif
-#if IV_AS_LT
+#if QC_IV_AS_LT_B0046
   Void          setWasLongTerm( Bool lt,  RefPicList e, Int iRefIdx ) { m_bWasLongTerm[e][iRefIdx] = lt; }
   Bool          getWasLongTerm( RefPicList e, Int iRefIdx           ) { return m_bWasLongTerm[e][iRefIdx] ; }
@@ -1626,5 +1626,5 @@
   Void setViewId( Int viewId )       { m_viewId = viewId;   }
   Int  getViewId()                   { return m_viewId;     }
-#if MVHEVC
+#if QC_MVHEVC_B0046
   Void    setViewOrderIdx(Int v, UInt layer)                { m_iViewOrderIdx = v;    }
   Int     getViewOrderIdx()                                 { return m_iViewOrderIdx; }
@@ -1698,5 +1698,5 @@
   }
 
-#if MVHEVC
+#if QC_MVHEVC_B0046
   Void clearPSList()
   {
@@ -1714,5 +1714,5 @@
   ParameterSetManager();
   virtual ~ParameterSetManager();
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   //! store video parameter set and take ownership of it 
   Void storeVPS(TComVPS *vps) { m_vpsMap.storePS( vps->getVPSId(), vps); };
@@ -1720,5 +1720,5 @@
   TComVPS* getVPS(Int vpsId)  { return m_vpsMap.getPS(vpsId); };
   TComVPS* getFirstVPS()      { return m_vpsMap.getFirstPS(); };
-#if MVHEVC
+#if QC_MVHEVC_B0046
   Void     clearVPS()         { m_vpsMap.clearPSList(); };
   Void     clearSPS()         { m_spsMap.clearPSList(); };
@@ -1747,5 +1747,5 @@
   ParameterSetMap<TComPPS> m_ppsMap; 
   ParameterSetMap<TComAPS> m_apsMap; 
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   ParameterSetMap<TComVPS> m_vpsMap; 
 #endif
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/TypeDef.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibCommon/TypeDef.h	(revision 195)
@@ -41,10 +41,10 @@
 //! \ingroup TLibCommon
 //! \{
-#define MVHEVC                            0
-#define            IV_AS_LT               1   //inter-view reference pictures are treated as long-term pictures         
-#define            TMVP_INDEX_MODIFY      1   //the reference index for temporal merging candidate is set to 0, as defined in HEVC
-#define            QC_REM_IDV             1   //nal unit type NAL_UNIT_CODED_SLICE_IDV is removed.
-#define            BUG_FIX_HTM            1
-#if !MVHEVC
+#define QC_MVHEVC_B0046                   0
+#define QC_IV_AS_LT_B0046                 1   //JCT3V-B0046: Disable 3DHEVC tools 
+#define QC_TMVP_IDX_MOD_B0046             1   //JCT3V-B0046: inter-view reference pictures are treated as long-term pictures, scaling of motion vectors for DCP based on ViewId/ViewOrderIdx is disabled 
+#define QC_REM_IDV_B0046                  1   //JCT3V-B0046: the reference index for temporal merging candidate is set to 0, as defined in HEVC
+#define FIX_DEL_NULLPTR                   1
+#if !QC_MVHEVC_B0046
 ///// ***** FIXES *********
 // A
@@ -482,5 +482,5 @@
 // VPS INTEGRATION
 // ====================================================================================================================
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
 #if VIDYO_VPS_INTEGRATION
 #define MAX_NUM_VPS 10
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/NALread.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/NALread.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/NALread.cpp	(revision 195)
@@ -132,5 +132,5 @@
 #endif
 
-#if MVHEVC
+#if QC_MVHEVC_B0046
   //nalu.m_layerId    = bs.read(6);
   nalu.m_layerId    = bs.read(5);
@@ -150,5 +150,5 @@
   if ( nalu.m_temporalId )
   {
-#if QC_REM_IDV
+#if QC_REM_IDV_B0046
     assert( nalu.m_nalUnitType != NAL_UNIT_CODED_SLICE_CRA && nalu.m_nalUnitType != NAL_UNIT_CODED_SLICE_IDR);
 #else
@@ -163,5 +163,5 @@
   case NAL_UNIT_CODED_SLICE_IDR:
 #if H0566_TLA
-#if !QC_REM_IDV
+#if !QC_REM_IDV_B0046
   case NAL_UNIT_CODED_SLICE_IDV:
 #endif
@@ -186,5 +186,5 @@
       if (nalu.m_temporalId == 0)
       {
-#if QC_REM_IDV
+#if QC_REM_IDV_B0046
         assert(nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE || nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE_CRA || nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE_IDR);
 #else
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 195)
@@ -1338,5 +1338,5 @@
   }
 }
-#if MVHEVC
+#if QC_MVHEVC_B0046
 Void TDecCavlc::parseVPS(TComVPS* pcVPS)
 {
@@ -1479,5 +1479,5 @@
   
   UInt  uiCode;
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
   Int   iCode;
 #endif
@@ -1724,5 +1724,5 @@
 #endif
   READ_FLAG( uiCode, "sps_extension_flag");
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
   if(uiCode)
   {
@@ -1988,6 +1988,6 @@
     }
 #endif
-#if QC_REM_IDV
-#if !MVHEVC
+#if QC_REM_IDV_B0046
+#if !QC_MVHEVC_B0046
   if(rpcSlice->getNalUnitType()==NAL_UNIT_CODED_SLICE_IDR && rpcSlice->getSPS()->getViewId() == 0) 
 #else
@@ -2030,6 +2030,6 @@
       }
       rpcSlice->setPOC( iPOCmsb+iPOClsb );
-#if QC_REM_IDV
-#if !MVHEVC
+#if QC_REM_IDV_B0046
+#if !QC_MVHEVC_B0046
       if( rpcSlice->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR &&  rpcSlice->getSPS()->getViewId() && rpcSlice->getPOC() == 0 )
 #else
@@ -2178,5 +2178,5 @@
     {
 #if H0412_REF_PIC_LIST_RESTRICTION
-#if MVHEVC
+#if QC_MVHEVC_B0046
     if( !rpcSlice->getViewId() || !rpcSlice->getSPS()->getListsModificationPresentFlag() )
 #else
@@ -2253,5 +2253,5 @@
     {
 #if H0412_REF_PIC_LIST_RESTRICTION
-#if MVHEVC
+#if QC_MVHEVC_B0046
     if( !rpcSlice->getViewId() || !rpcSlice->getSPS()->getListsModificationPresentFlag() )
 #else
@@ -2341,5 +2341,5 @@
       
 #if H0412_REF_PIC_LIST_RESTRICTION
-#if MVHEVC
+#if QC_MVHEVC_B0046
     if( rpcSlice->getViewId() && rpcSlice->getSPS()->getListsModificationPresentFlag() )
 #else
@@ -3052,5 +3052,5 @@
 }
 
-#if MVHEVC
+#if QC_MVHEVC_B0046
 /** Parse VPS alignment one bits.
  * \returns Void
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/TDecCAVLC.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 195)
@@ -75,5 +75,5 @@
   Void  xReadFlagTr           (              UInt& rValue, const Char *pSymbolName);
 #endif
-#if MVHEVC
+#if QC_MVHEVC_B0046
   Void  xReadVPSAlignOne      ();
 #endif
@@ -115,5 +115,5 @@
   Void  parseQtRootCbf      ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth, UInt& uiQtRootCbf );
 
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   Void  parseVPS            ( TComVPS* pcVPS );
 #endif
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/TDecEntropy.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/TDecEntropy.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/TDecEntropy.h	(revision 195)
@@ -71,5 +71,5 @@
 #endif
 
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   virtual Void  parseVPS                  ( TComVPS* pcVPS )                       = 0;
 #endif
@@ -175,5 +175,5 @@
   Void    resetEntropy                ( TComSlice* p)           { m_pcEntropyDecoderIf->resetEntropy(p);                    }
 
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   Void    decodeVPS                   ( TComVPS* pcVPS ) { m_pcEntropyDecoderIf->parseVPS(pcVPS); }
 #endif
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/TDecSbac.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/TDecSbac.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/TDecSbac.h	(revision 195)
@@ -87,5 +87,5 @@
   Void  setBitstream              ( TComInputBitstream* p  ) { m_pcBitstream = p; m_pcTDecBinIf->init( p ); }
   
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   Void  parseVPS                  ( TComVPS* pcVPS )  {}
 #endif
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/TDecSlice.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/TDecSlice.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/TDecSlice.cpp	(revision 195)
@@ -446,5 +446,5 @@
 , m_ppsBuffer(16)
 , m_apsBuffer(64)
-#if VIDYO_VPS_INTEGRATION|MVHEVC 
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046 
 , m_vpsBuffer(16)
 #endif
@@ -458,5 +458,5 @@
 }
 
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
 TComVPS* ParameterSetManagerDecoder::getPrefetchedVPS  (Int vpsId)
 {
@@ -513,5 +513,5 @@
   m_ppsMap.mergePSList(m_ppsBuffer);
   m_spsMap.mergePSList(m_spsBuffer);
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   m_vpsMap.mergePSList(m_vpsBuffer);
 #endif
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/TDecSlice.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/TDecSlice.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/TDecSlice.h	(revision 195)
@@ -96,5 +96,5 @@
   Void     storePrefetchedAPS(TComAPS *aps)  { m_apsBuffer.storePS( aps->getAPSID(), aps); };
   TComAPS* getPrefetchedAPS  (Int apsId);
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   Void     storePrefetchedVPS(TComVPS *vps)  { m_vpsBuffer.storePS( vps->getVPSId(), vps); };
   TComVPS* getPrefetchedVPS  (Int vpsId);
@@ -106,5 +106,5 @@
   ParameterSetMap<TComPPS> m_ppsBuffer; 
   ParameterSetMap<TComAPS> m_apsBuffer; 
-#if VIDYO_VPS_INTEGRATION|MVHEVC 
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046 
   ParameterSetMap<TComVPS> m_vpsBuffer;
 #endif
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/TDecTop.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/TDecTop.cpp	(revision 195)
@@ -50,5 +50,5 @@
   m_aaiCodedScale          = new Int* [ MAX_VIEW_NUM ];
   m_aiViewOrderIndex       = new Int  [ MAX_VIEW_NUM ];
-#if MVHEVC
+#if QC_MVHEVC_B0046
   m_aiViewId               = new Int  [ MAX_VIEW_NUM ];
 #endif
@@ -269,5 +269,5 @@
   m_bFirstSliceInSequence   = true;
   m_pcCamParsCollector = 0;
-#if MVHEVC
+#if QC_MVHEVC_B0046
   m_bFirstNal                  = false;
 #endif
@@ -584,5 +584,5 @@
   TComVPS *vps = m_parameterSetManagerDecoder.getVPS(sps->getVPSId());
   assert (vps != 0);
-#if !QC_REM_IDV
+#if !QC_REM_IDV_B0046
   if( m_apcSlicePilot->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR || m_apcSlicePilot->getNalUnitType() == NAL_UNIT_CODED_SLICE_CRA )
 #else
@@ -594,8 +594,8 @@
   m_apcSlicePilot->setPPS(pps);
   m_apcSlicePilot->setSPS(sps);
-#if MVHEVC
+#if QC_MVHEVC_B0046
   TComVPS *vps = m_parameterSetManagerDecoder.getVPS(sps->getVPSId());
 #endif
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   m_apcSlicePilot->setVPS(vps);
 #endif
@@ -639,6 +639,6 @@
   m_apcSlicePilot->setPPS(m_parameterSetManagerDecoder.getPrefetchedPPS(0));
   m_apcSlicePilot->setSPS(m_parameterSetManagerDecoder.getPrefetchedSPS(0));
-#if VIDYO_VPS_INTEGRATION|MVHEVC
-#if MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
+#if QC_MVHEVC_B0046
   m_apcSlicePilot->setIsDepth(false);
 #endif
@@ -646,5 +646,5 @@
 #endif
   m_apcSlicePilot->initTiles();
-#if MVHEVC
+#if QC_MVHEVC_B0046
   m_apcSlicePilot->setViewId( nalu.m_layerId );
   m_apcSlicePilot->setViewId( nalu.m_layerId );
@@ -672,5 +672,5 @@
   if( m_bFirstSliceInPicture )
   {
-#if MVHEVC
+#if QC_MVHEVC_B0046
     if( nalu.m_layerId == 0 ) { m_nalUnitTypeBaseView = nalu.m_nalUnitType; }
     else                     { m_nalUnitTypeBaseView = m_tAppDecTop->getTDecTop( 0, 0 )->getNalUnitTypeBaseView(); }
@@ -982,5 +982,5 @@
 
     // Set reference list 
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
 #if VIDYO_VPS_INTEGRATION
     pcSlice->setViewId( pcSlice->getVPS()->getViewId(nalu.m_layerId) );
@@ -1104,5 +1104,5 @@
   m_cGopDecoder.decompressGop(nalu.m_Bitstream, pcPic, false);
 
-#if IV_AS_LT
+#if QC_IV_AS_LT_B0046
   std::vector<TComPic*> apcInterViewRefPics = m_tAppDecTop->getInterViewRefPics( m_viewId, pcSlice->getPOC(), m_isDepth, pcSlice->getSPS() );
   for( Int k = 0; k < apcInterViewRefPics.size(); k++ )
@@ -1123,5 +1123,5 @@
 }
 
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
 Void TDecTop::xDecodeVPS()
 {
@@ -1130,5 +1130,5 @@
   m_cEntropyDecoder.decodeVPS( vps );
   m_parameterSetManagerDecoder.storePrefetchedVPS(vps);  
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
   getTAppDecTop()->getVPSAccess()->addVPS( vps );
 #endif
@@ -1198,5 +1198,5 @@
   switch (nalu.m_nalUnitType)
   {
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
     case NAL_UNIT_VPS:
       xDecodeVPS();
@@ -1221,5 +1221,5 @@
     case NAL_UNIT_CODED_SLICE_IDR:
 #if H0566_TLA
-#if !QC_REM_IDV
+#if !QC_REM_IDV_B0046
     case NAL_UNIT_CODED_SLICE_IDV:
 #endif
@@ -1238,5 +1238,5 @@
 }
 
-#if MVHEVC
+#if QC_MVHEVC_B0046
 Void TDecTop::xCopyVPS( TComVPS* pVPSV0 )
 {
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/TDecTop.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/TDecTop.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibDecoder/TDecTop.h	(revision 195)
@@ -88,5 +88,5 @@
   Int**   m_aaiCodedScale;
   Int*    m_aiViewOrderIndex;
-#if MVHEVC
+#if QC_MVHEVC_B0046
   Int*    m_aiViewId;
 #endif
@@ -171,5 +171,5 @@
   
   Void  deletePicBuffer();
-#if MVHEVC
+#if QC_MVHEVC_B0046
   Void      xCopySPS( TComSPS* pSPSV0);
   Void      xCopyPPS( TComPPS* pPPSV0);
@@ -202,5 +202,5 @@
   TAppDecTop*         getTAppDecTop()                           { return  m_tAppDecTop; }
   NalUnitType         getNalUnitTypeBaseView()                  { return m_nalUnitTypeBaseView; }
-#if MVHEVC
+#if QC_MVHEVC_B0046
   bool                m_bFirstNal; //used to copy SPS, PPS, VPS
   ParameterSetManagerDecoder* xGetParaSetDec ()        {return  &m_parameterSetManagerDecoder;}
@@ -218,5 +218,5 @@
   Bool      xDecodeSlice(InputNALUnit &nalu, Int iSkipFrame, Int iPOCLastDisplay);
 #endif
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   Void      xDecodeVPS();
 #endif
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/NALwrite.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/NALwrite.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/NALwrite.cpp	(revision 195)
@@ -64,5 +64,5 @@
 #endif
 
-#if MVHEVC
+#if QC_MVHEVC_B0046
   bsNALUHeader.write(nalu.m_layerId,        5); // when nal_ref_flag is signalled, 5 bits here. otherwise, 6 bits
   bsNALUHeader.write(nalu.m_temporalId + 1, 3); // temporal_id
@@ -83,5 +83,5 @@
   case NAL_UNIT_CODED_SLICE_IDR:
 #if H0566_TLA
-#if !QC_REM_IDV
+#if !QC_REM_IDV_B0046
   case NAL_UNIT_CODED_SLICE_IDV:
 #endif
@@ -202,5 +202,5 @@
 }
 
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
 /**
  * Copy NALU from naluSrc to naluDest
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/NALwrite.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/NALwrite.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/NALwrite.h	(revision 195)
@@ -62,5 +62,5 @@
     NalRefIdc nalRefIDC,
 #endif
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
     unsigned layerId,
 #else
@@ -70,5 +70,5 @@
     unsigned temporalID = 0)
 #if NAL_REF_FLAG
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   : NALUnit(nalUnitType, nalRefFlag, layerId, temporalID)
 #else
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 195)
@@ -375,5 +375,5 @@
 }
 
-#if MVHEVC
+#if QC_MVHEVC_B0046
 Void TEncCavlc::codeVPS( TComVPS* pcVPS )
 {
@@ -708,5 +708,5 @@
 #endif
   WRITE_FLAG( 1, "sps_extension_flag" );
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
   WRITE_FLAG( (pcSPS->getNumberOfUsableInterViewRefs() > 0) ? 1 : 0, "interview_refs_present_flag" );
   if( pcSPS->getNumberOfUsableInterViewRefs() > 0 )
@@ -884,5 +884,5 @@
   if (!bEntropySlice)
   {
-#if MVHEVC
+#if QC_MVHEVC_B0046
     WRITE_UVLC( 0, "pic_parameter_set_id" );
 #else
@@ -895,5 +895,5 @@
     }
 #endif
-#if QC_REM_IDV
+#if QC_REM_IDV_B0046
     if(pcSlice->getNalUnitType()==NAL_UNIT_CODED_SLICE_IDR && pcSlice->getViewId() == 0) 
 #else
@@ -907,5 +907,5 @@
     {
       WRITE_CODE( (pcSlice->getPOC()-pcSlice->getLastIDR()+(1<<pcSlice->getSPS()->getBitsForPOC()))%(1<<pcSlice->getSPS()->getBitsForPOC()), pcSlice->getSPS()->getBitsForPOC(), "pic_order_cnt_lsb");
-#if QC_REM_IDV
+#if QC_REM_IDV_B0046
       if( pcSlice->getPOC() == 0 && !(pcSlice->getSPS()->getViewId() && (pcSlice->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR || pcSlice->getNalUnitType() == NAL_UNIT_CODED_SLICE_CRA)))
 #else
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncCavlc.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncCavlc.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncCavlc.h	(revision 195)
@@ -114,5 +114,5 @@
   UInt  getCoeffCost          ()                { return  m_uiCoeffCost;  }
   
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   Void  codeVPS                 ( TComVPS* pcVPS );
 #endif
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncCfg.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncCfg.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncCfg.h	(revision 195)
@@ -307,5 +307,5 @@
 #endif
 
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   UInt     m_layerId;
 #endif
@@ -820,5 +820,5 @@
   Int       getTSIG()                            { return m_signHidingThreshold; }
 #endif
-#if VIDYO_VPS_INTEGRATION |MVHEVC
+#if VIDYO_VPS_INTEGRATION |QC_MVHEVC_B0046
   Void      setLayerId             ( UInt layerId )   { m_layerId = layerId; }
   UInt      getLayerId             ()               { return m_layerId; }
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncEntropy.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncEntropy.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncEntropy.cpp	(revision 195)
@@ -121,5 +121,5 @@
 }
 
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
 Void TEncEntropy::encodeVPS( TComVPS* pcVPS )
 {
@@ -129,5 +129,5 @@
 #endif
 
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
 Void  codeVPS                 ( TComVPS* pcVPS );
 #endif
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncEntropy.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncEntropy.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncEntropy.h	(revision 195)
@@ -76,5 +76,5 @@
   virtual UInt  getCoeffCost          ()                = 0;
 
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   virtual Void  codeVPS                 ( TComVPS* pcVPS )                                      = 0;
 #endif
@@ -242,5 +242,5 @@
   
 public:
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   Void encodeVPS               ( TComVPS* pcVPS);
 #endif
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 195)
@@ -246,5 +246,5 @@
 
       std::vector<TComAPS>& vAPS = m_pcEncTop->getAPS();
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
     m_pcSliceEncoder->initEncSlice ( pcPic, iPOCLast, uiPOCCurr, iNumPicRcvd, iGOPid, pcSlice, m_pcEncTop->getEncTop()->getVPS(), m_pcEncTop->getSPS(), m_pcEncTop->getPPS() );
 #else
@@ -298,5 +298,5 @@
       if( pcSlice->getSliceType() == B_SLICE )
       {
-#if QC_REM_IDV
+#if QC_REM_IDV_B0046
       if( m_pcCfg->getGOPEntry(pcSlice->getSPS()->getViewId() && ((getNalUnitType(uiPOCCurr) == NAL_UNIT_CODED_SLICE_IDR) || (getNalUnitType(uiPOCCurr) == NAL_UNIT_CODED_SLICE_CRA))? MAX_GOP : iGOPid ).m_sliceType == 'P' ) { pcSlice->setSliceType( P_SLICE ); }
 #else
@@ -336,5 +336,5 @@
 #endif
 
-#if !QC_REM_IDV
+#if !QC_REM_IDV_B0046
       pcSlice->setNumRefIdx( REF_PIC_LIST_0, min( m_pcCfg->getGOPEntry( (getNalUnitType(uiPOCCurr) == NAL_UNIT_CODED_SLICE_IDV) ? MAX_GOP : iGOPid ).m_numRefPicsActive, (pcSlice->getRPS()->getNumberOfPictures() + pcSlice->getSPS()->getNumberOfUsableInterViewRefs()) ) );
       pcSlice->setNumRefIdx( REF_PIC_LIST_1, min( m_pcCfg->getGOPEntry( (getNalUnitType(uiPOCCurr) == NAL_UNIT_CODED_SLICE_IDV) ? MAX_GOP : iGOPid ).m_numRefPicsActive, (pcSlice->getRPS()->getNumberOfPictures() + pcSlice->getSPS()->getNumberOfUsableInterViewRefs()) ) );
@@ -373,5 +373,5 @@
       if( pcSlice->getSliceType() == B_SLICE )
       {
-#if !QC_REM_IDV
+#if !QC_REM_IDV_B0046
         if( m_pcCfg->getGOPEntry( (getNalUnitType(uiPOCCurr) == NAL_UNIT_CODED_SLICE_IDV) ? MAX_GOP : iGOPid ).m_sliceType == 'P' ) { pcSlice->setSliceType( P_SLICE ); }
 #else
@@ -845,9 +845,9 @@
       if ( m_bSeqFirst )
       {
-#if MVHEVC
+#if QC_MVHEVC_B0046
       if(!m_pcEncTop->getLayerId())
       {
 #endif
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
         {
           OutputNALUnit nalu(NAL_UNIT_VPS, true, m_pcEncTop->getLayerId());
@@ -859,5 +859,5 @@
 #endif
 #if NAL_REF_FLAG
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
         OutputNALUnit nalu(NAL_UNIT_SPS, true, m_pcEncTop->getLayerId());
 #else
@@ -880,6 +880,6 @@
 
 #if NAL_REF_FLAG
-#if VIDYO_VPS_INTEGRATION|MVHEVC 
-#if MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046 
+#if QC_MVHEVC_B0046
         nalu = NALUnit(NAL_UNIT_PPS, true, m_pcEncTop->getLayerId());
 #else
@@ -896,5 +896,5 @@
         writeRBSPTrailingBits(nalu.m_Bitstream);
         accessUnit.push_back(new NALUnitEBSP(nalu));
-#if MVHEVC
+#if QC_MVHEVC_B0046
       }
 #endif
@@ -1018,5 +1018,5 @@
 #if NAL_REF_FLAG
         OutputNALUnit nalu( pcSlice->getNalUnitType(), pcSlice->isReferenced(),
-#if !VIDYO_VPS_INTEGRATION &!MVHEVC
+#if !VIDYO_VPS_INTEGRATION &!QC_MVHEVC_B0046
                            m_pcEncTop->getViewId(), m_pcEncTop->getIsDepth(), pcSlice->getTLayer() );
 #else
@@ -1494,5 +1494,5 @@
           {
 #if NAL_REF_FLAG
-#if VIDYO_VPS_INTEGRATION | MVHEVC
+#if VIDYO_VPS_INTEGRATION | QC_MVHEVC_B0046
             OutputNALUnit nalu(NAL_UNIT_APS, true, m_pcEncTop->getLayerId());
 #else
@@ -1560,5 +1560,5 @@
 
 #if NAL_REF_FLAG
-#if VIDYO_VPS_INTEGRATION | MVHEVC
+#if VIDYO_VPS_INTEGRATION | QC_MVHEVC_B0046
         OutputNALUnit nalu(NAL_UNIT_SEI, false, m_pcEncTop->getLayerId());
 #else
@@ -1998,5 +1998,5 @@
   case NAL_UNIT_CODED_SLICE: return "SLICE";
 #if H0566_TLA
-#if !QC_REM_IDV
+#if !QC_REM_IDV_B0046
   case NAL_UNIT_CODED_SLICE_IDV: return "IDV";
 #endif
@@ -2215,5 +2215,5 @@
     if( bInterViewOnlySlice ) 
     { 
-#if !QC_REM_IDV
+#if !QC_REM_IDV_B0046
       return NAL_UNIT_CODED_SLICE_IDV; 
 #else
@@ -2232,5 +2232,5 @@
       if( bInterViewOnlySlice ) 
       { 
-#if !QC_REM_IDV
+#if !QC_REM_IDV_B0046
         return NAL_UNIT_CODED_SLICE_IDV; 
 #else
@@ -2251,5 +2251,5 @@
       if( bInterViewOnlySlice ) 
       { 
-#if !QC_REM_IDV
+#if !QC_REM_IDV_B0046
         return NAL_UNIT_CODED_SLICE_IDV; 
 #else
@@ -2493,5 +2493,5 @@
 
   // analyze inter-view modifications
-#if !QC_REM_IDV
+#if !QC_REM_IDV_B0046
   GOPEntryMvc gem = m_pcCfg->getGOPEntry( (getNalUnitType(uiPOCCurr) == NAL_UNIT_CODED_SLICE_IDV) ? MAX_GOP : iGOPid );
 #else
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncSbac.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 195)
@@ -396,5 +396,5 @@
 }
 
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
 Void TEncSbac::codeVPS( TComVPS* pcVPS )
 {
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncSbac.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncSbac.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncSbac.h	(revision 195)
@@ -98,5 +98,5 @@
   //--SBAC RD
 
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   Void  codeVPS                 ( TComVPS* pcVPS );
 #endif
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncSearch.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 195)
@@ -4284,5 +4284,5 @@
   }
 #endif
-#if MVHEVC
+#if QC_MVHEVC_B0046
   m_pcRdCost->setMultiviewReg( 0 );
 #endif
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncSlice.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncSlice.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncSlice.cpp	(revision 195)
@@ -162,5 +162,5 @@
  \param pPPS          PPS associated with the slice
  */
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
 Void TEncSlice::initEncSlice( TComPic* pcPic, Int iPOCLast, UInt uiPOCCurr, Int iNumPicRcvd, Int iGOPid, TComSlice*& rpcSlice, TComVPS * pVPS, TComSPS* pSPS, TComPPS *pPPS )
 #else
@@ -172,5 +172,5 @@
   
   rpcSlice = pcPic->getSlice(0);
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   rpcSlice->setVPS( pVPS );
 #endif
@@ -820,5 +820,5 @@
   UInt uiTileStartLCU = 0;
   UInt uiTileLCUX     = 0;
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
   Int iLastPosY = -1;
 #endif
@@ -833,5 +833,5 @@
     TComDataCU*& pcCU = rpcPic->getCU( uiCUAddr );
     pcCU->initCU( rpcPic, uiCUAddr );
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
     if ( m_pcRdCost->getUseRenModel() )
     {
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncSlice.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncSlice.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncSlice.h	(revision 195)
@@ -110,5 +110,5 @@
   
   /// preparation of slice encoding (reference marking, QP and lambda)
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   Void    initEncSlice        ( TComPic*  pcPic, Int iPOCLast, UInt uiPOCCurr, Int iNumPicRcvd, Int iGOPid, TComSlice*& rpcSlice, TComVPS* pVPS, TComSPS* pSPS, TComPPS *pPPS );
 #else
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncTop.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncTop.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibEncoder/TEncTop.cpp	(revision 195)
@@ -785,5 +785,5 @@
   else
   {
-#if MVHEVC
+#if QC_MVHEVC_B0046
     m_cSPS.initMultiviewSPS   ( m_viewId);
 #else
@@ -997,5 +997,5 @@
 Void TEncTop::selectReferencePictureSet(TComSlice* slice, Int POCCurr, Int GOPid,TComList<TComPic*>& listPic )
 {
-#if QC_REM_IDV
+#if QC_REM_IDV_B0046
   if( (slice->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR ||slice->getNalUnitType() == NAL_UNIT_CODED_SLICE_CRA) && slice->getSPS()->getViewId() && POCCurr == 0 )
 #else
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibExtractor/TExtrTop.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibExtractor/TExtrTop.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibExtractor/TExtrTop.cpp	(revision 195)
@@ -55,5 +55,5 @@
 Bool TExtrTop::extract( InputNALUnit& nalu, std::set<UInt>& rsuiExtractLayerIds )
 {
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   //extraction now has to be done using layer_id
   UInt uiLayerId = nalu.m_layerId;
@@ -65,5 +65,5 @@
   m_cEntropyDecoder.setBitstream     ( nalu.m_Bitstream );
   
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   if ( nalu.m_nalUnitType == NAL_UNIT_VPS )
   {
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibExtractor/TExtrTop.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibExtractor/TExtrTop.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibExtractor/TExtrTop.h	(revision 195)
@@ -54,5 +54,5 @@
 {
 private:
-#if VIDYO_VPS_INTEGRATION|MVHEVC
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   TComVPS                 m_cVPS;
 #endif
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibRenderer/TRenModSetupStrParser.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibRenderer/TRenModSetupStrParser.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibRenderer/TRenModSetupStrParser.cpp	(revision 195)
@@ -36,5 +36,5 @@
 #include "TRenFilter.h"
 #include "TRenModSetupStrParser.h"
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
 Int
 TRenModSetupStrParser::getNumOfModels()
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibRenderer/TRenModSetupStrParser.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibRenderer/TRenModSetupStrParser.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibRenderer/TRenModSetupStrParser.h	(revision 195)
@@ -31,5 +31,5 @@
  * THE POSSIBILITY OF SUCH DAMAGE.
  */
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
 #ifndef __TRENMODSETUPSTRPARSER__
 #define __TRENMODSETUPSTRPARSER__
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibRenderer/TRenModel.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibRenderer/TRenModel.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibRenderer/TRenModel.cpp	(revision 195)
@@ -35,5 +35,5 @@
 #include "TRenFilter.h"
 #include "TRenModel.h"
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
 ///////////  TRENMODEL //////////////////////
 TRenModel::TRenModel()
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibRenderer/TRenModel.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibRenderer/TRenModel.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibRenderer/TRenModel.h	(revision 195)
@@ -32,5 +32,5 @@
  */
 
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
 #ifndef __TRENMODEL__
 #define __TRENMODEL__
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibRenderer/TRenSingleModel.cpp
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibRenderer/TRenSingleModel.cpp	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibRenderer/TRenSingleModel.cpp	(revision 195)
@@ -36,5 +36,5 @@
 #include "TRenSingleModel.h"
 
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
 ////////////// TRENSINGLE MODEL ///////////////
 template <BlenMod iBM, Bool bBitInc>
Index: branches/HTM-5.0-Qualcomm/source/Lib/TLibRenderer/TRenSingleModel.h
===================================================================
--- branches/HTM-5.0-Qualcomm/source/Lib/TLibRenderer/TRenSingleModel.h	(revision 194)
+++ branches/HTM-5.0-Qualcomm/source/Lib/TLibRenderer/TRenSingleModel.h	(revision 195)
@@ -32,5 +32,5 @@
  */
 
-#if !MVHEVC
+#if !QC_MVHEVC_B0046
 #ifndef __TRENSINGLEMODEL__ 
 #define __TRENSINGLEMODEL__
